get
https://api-prod-us-west-2.solinkcloud.com/v2/sites
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
To fetch available Sites (Locations) under your account, use the following endpoint that uses pagination with 100 records per page.
Sample Request
curl --location 'https://api-prod-us-west-2.solinkcloud.com/v2/sites' \
--header 'x-api-key: {API_Key}' \
--header 'Authorization: Bearer {access_token}'Sample Response
Returns a JSON array of Site objects
[
{
"id": "8f2d1f7a-4d8b-4f3a-9f5c-1a2b3c4d5e6f",
"customerId": "2b6c9d11-7a23-4b91-8c44-0f1e2d3c4b5a",
"primaryDeviceId": "1c3a8b2e-9d1f-4e7a-a6b3-7d8e9f0a1b2c",
"motionAlarmScheduleId": "6a7b8c9d-0e1f-4a2b-9c3d-4e5f6a7b8c9d",
"cloudStoragePackageId": null,
"name": "Store 0123",
"address": "123 Example St, Suite 100, Seattle, WA 98101, USA",
"timezone": "America/Los_Angeles",
"type": "STANDARD",
"externalId": "0123",
"status": "ACTIVE",
"visibilityStatus": "VISIBLE",
"updatedAt": 1719830400,
"deletedAt": 0,
"tags": ["quick service", "selfServe", "data-integration:pos"],
"locationTags": ["Brand:ExampleBrand", "City:Seattle"],
"deviceCount": 2,
"cameraCount": 18,
"onlineCameraCount": 17,
"offlineCameraCount": 1
}
]Site object schema
| Field | Type | Description |
|---|---|---|
id | string (UUID) | Unique identifier for the site. |
customerId | string (UUID) | Unique identifier for the customer/account that owns the site. |
primaryDeviceId | string (UUID) | ID of the site’s primary device (default device context for the site). |
motionAlarmScheduleId | string (UUID) | ID of the motion alarm schedule associated with the site. |
cloudStoragePackageId | string (UUID) | null | ID of the cloud storage package assigned to the site (if any). |
name | string | Site name. |
address | string | Site address (free-form). |
timezone | string (IANA timezone) | Site timezone (e.g., America/Toronto). |
type | string | Site type (e.g., STANDARD). |
externalId | string | null | External identifier for the site (may be null or empty). This is unique store ID defined by the customer, usually used for the data integrations. |
status | string | Site status (e.g., ACTIVE, VIRTUAL). |
visibilityStatus | string | Visibility status (e.g., VISIBLE). |
updatedAt | integer (unix epoch seconds) | Last update time for the site. |
deletedAt | integer (unix epoch seconds) | Deletion time for the site; 0 typically means not deleted. |
tags | string[] | Tags applied to the site. |
locationTags | string[] | Location tag strings (e.g., Brand:…, City:…). |
deviceCount | integer | Number of devices associated with the site. |
cameraCount | integer | Total number of cameras at the site. |
onlineCameraCount | integer | Number of online cameras at the site. |
offlineCameraCount | integer | Number of offline cameras at the site. |
Multi-device sites
A Site represents a physical location (for example, a store). A Device is a recording unit installed at that location.
Some locations are configured as multi-device sites, meaning multiple devices can belong to the same site. In these setups, Solink treats the location as a single site for management and viewing, even though there are multiple devices behind it.
What this means for the API
- A single
siteIdcan correspond to more than one device. - When you request resources by site (for example, listing cameras filtered by
siteId), the response may include cameras from all devices associated with that site—not just one recorder.
For product behavior background, see: https://help.solink.com/en/articles/12141545-multi-device-site-management-overview